import { defineConfig } from 'vite';
import react from '@vitejs/plugin-react';
import tailwindcss from '@tailwindcss/vite'; // 👈 Import Tailwind plugin
import path from 'path';

export default defineConfig({
  plugins: [
    react(),
    tailwindcss(), // 👈 Add plugin here
  ],
  base: '/HZ-ProjectHub-v2/frontend/dist/',
  resolve: {
    alias: {
      '@': path.resolve(__dirname, './src'),
    },
  },
});